Package com.collibra.dgc.core.api.dto.instance.attribute

# Class ChangeAttributeRequest.Builder

Object
Builder

Enclosing class:
  `ChangeAttributeRequest`

public static final class ChangeAttributeRequest.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ChangeAttributeRequest`
  `build()`
  `ChangeAttributeRequest.Builder`
  `but()`
  Deprecated.
  This method will be removed in the future.
  `ChangeAttributeRequest.Builder`
  `id(UUID id)`
  Required. The ID of the attribute to be changed.
  `String`
  `toString()`
  `ChangeAttributeRequest.Builder`
  `value(Object value)`
  Required. The value of this attribute.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### but

    @Deprecated public ChangeAttributeRequest.Builder but()
    Deprecated.
    This method will be removed in the future. Please, use `ChangeAttributeRequest.builder()`
    Clone method for this Builder.

  - ### id

    public ChangeAttributeRequest.Builder id(UUID id)
    Required. The ID of the attribute to be changed. Silently ignored if the ID is provided as path parameter of the request.
    Returns:
      `this`.

  - ### value

    public ChangeAttributeRequest.Builder value(Object value)
    Required. The value of this attribute. Expected type of the value depends on the type of the attribute. Following list presents type of the value depending on the kind of the attribute
    - kind: `NumericAttribute` -> value Class: `Double` or `String`
    - kind: `ScriptAttribute` -> value Class: `String`
    - kind: `SingleValueListAttribute` -> value Class: `String`
    - kind: `DateAttribute` -> value class: `Long` or `String`
    - kind: `StringAttribute` -> value class: `String`
    - kind: `BooleanAttribute` -> value class: `Boolean` or `String`
    - kind: `MultiValueListAttribute` -> value class: `List` of `String`
    Returns:
      `this`.

  - ### build

    public ChangeAttributeRequest build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`